Bug 204193 - Import secure cookie tests from WPT
Summary: Import secure cookie tests from WPT
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Patrick Griffis
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-11-14 00:26 PST by Patrick Griffis
Modified: 2019-12-09 17:50 PST (History)
7 users (show)

See Also:


Attachments
Patch (47.10 KB, patch)
2019-11-14 00:29 PST, Patrick Griffis
no flags Details | Formatted Diff | Diff
Patch (47.93 KB, patch)
2019-11-14 02:36 PST, Patrick Griffis
no flags Details | Formatted Diff | Diff
Patch (48.76 KB, patch)
2019-11-14 17:59 PST, Patrick Griffis
no flags Details | Formatted Diff | Diff
Patch (48.76 KB, patch)
2019-11-14 21:34 PST, Patrick Griffis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews215 for win-future (14.38 MB, application/zip)
2019-11-15 00:52 PST, EWS Watchlist
no flags Details
Patch (48.76 KB, patch)
2019-11-18 06:56 PST, Patrick Griffis
no flags Details | Formatted Diff | Diff
Patch (49.65 KB, patch)
2019-12-09 12:10 PST, Patrick Griffis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Griffis 2019-11-14 00:26:00 PST
Import secure cookie tests from WPT
Comment 1 Patrick Griffis 2019-11-14 00:29:07 PST
Created attachment 383547 [details]
Patch
Comment 2 Patrick Griffis 2019-11-14 02:36:15 PST
Created attachment 383550 [details]
Patch
Comment 3 Patrick Griffis 2019-11-14 05:43:24 PST
The mac failures are from unrelated tests.
Comment 4 Carlos Alberto Lopez Perez 2019-11-14 08:00:39 PST
(In reply to Patrick Griffis from comment #3)
> The mac failures are from unrelated tests.

I don't think they are unrelated.

On this patch you are also importing imported/w3c/web-platform-tests/cookies/resources and it seems other WPT tests have resources pointing to /cookies/resources

Like, for example the one gives failure.

Which is not failing in reality.. now is passing thanks to this resources dir you are adding, but the expectation for it has a Fail line. You have to update the expectation for this test that now pass so the EWS doesn't complain.
Comment 6 Patrick Griffis 2019-11-14 17:59:12 PST
Created attachment 383591 [details]
Patch
Comment 7 Patrick Griffis 2019-11-14 21:34:26 PST
Created attachment 383600 [details]
Patch
Comment 8 EWS Watchlist 2019-11-15 00:52:01 PST
Comment on attachment 383600 [details]
Patch

Attachment 383600 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/13257834

New failing tests:
animations/no-style-recalc-during-accelerated-animation.html
Comment 9 EWS Watchlist 2019-11-15 00:52:03 PST
Created attachment 383606 [details]
Archive of layout-test-results from ews215 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews215  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 10 Patrick Griffis 2019-11-18 06:56:10 PST
Created attachment 383742 [details]
Patch
Comment 11 Carlos Alberto Lopez Perez 2019-12-09 08:51:36 PST
Comment on attachment 383742 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=383742&action=review

> LayoutTests/imported/w3c/web-platform-tests/content-security-policy/reporting/report-same-origin-with-cookies-expected.txt:6
>  
>  PASS Image should not load 
>  PASS Violation report status OK. 
> -FAIL Test report cookies. assert_true: Report should contain cookie: cspViolationReportCookie2 expected true got false
> +PASS Test report cookies. 
>  

It seems this expectation update is not valid for ios-wk2 for some reason.

For ios-wk2 the new expectation is this one according to the EWS: https://ews-build.webkit.org/results/iOS-13-Simulator-WK2-Tests-EWS/r383742-5079/imported/w3c/web-platform-tests/content-security-policy/reporting/report-same-origin-with-cookies-actual.txt

See: https://ews-build.webkit.org/results/iOS-13-Simulator-WK2-Tests-EWS/r383742-5079/results.html

I suggest adding a new platform expected file for ios-wk2 (I guess under LayoutTests/platform/ios-simulator-wk2) to make the EWS happy.
Comment 12 Patrick Griffis 2019-12-09 12:10:24 PST
Created attachment 385179 [details]
Patch
Comment 13 Carlos Alberto Lopez Perez 2019-12-09 17:03:59 PST
Comment on attachment 385179 [details]
Patch

r=me
Patch looks good and EWS all green!
Comment 14 WebKit Commit Bot 2019-12-09 17:49:05 PST
Comment on attachment 385179 [details]
Patch

Clearing flags on attachment: 385179

Committed r253312: <https://trac.webkit.org/changeset/253312>
Comment 15 WebKit Commit Bot 2019-12-09 17:49:07 PST
All reviewed patches have been landed.  Closing bug.
Comment 16 Radar WebKit Bug Importer 2019-12-09 17:50:49 PST
<rdar://problem/57777761>